# Class NmrMolecule

java.lang.Object
org.openscience.jmol.app.janocchio.NmrMolecule

public class NmrMolecule extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`CHequation`
`protected final Vector<Double>`
`couples`
`protected final Vector<org.openscience.jmol.app.janocchio.NmrMolecule.DihedralCouple>`
`couplesWhole`
`protected final Vector<Double>`
`distances`
`protected NMRNoeMatrix`
`noeMatrix`
`protected final NMR_Viewer`
`viewer`

## Constructor Summary

Constructors
Constructor
Description
`NmrMolecule(NMR_JmolPanel nmrPanel, BS bsMol, String[] labelArray, boolean forNOE)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`addAtomstoMatrix()`
Generate noeMatrix and map fields for DistanceJMolecule.
`void`
`addCouple(Atom[] atoms)`
`void`
`addJmolCouple(int a1, int a2, int a3, int a4)`
`void`
`addJmolDistance(int a, int b)`
Add using Jmol atom index
`double[]`
`calcCouple(Atom[] atoms)`
`double[]`
`calcJmolCouple(int a1, int a2, int a3, int a4)`
`void`
`calcNOEs()`
`Vector<Double>`
`getCouples()`
`protected org.openscience.jmol.app.janocchio.NmrMolecule.DihedralCouple`
`getDihedralCouple(Atom[] atoms)`
`Vector<Double>`
`getDistances()`
`double`
`getJmolDistance(int a, int b)`
Calc using Jmol atom index
`double`
`getJmolNoe(int a, int b)`
`void`
`setCHequation(String eq)`
`void`
`setCorrelationTimeTauPS(double t)`
`void`
`setCutoffAng(double c)`
sets the cutoff distance beyond which atom interactions are not considered
`void`
`setMixingTimeSec(double t)`
sets the mixing time for the NOE experiment
`void`
`setNMRfreqMHz(double f)`
set the NMR frequency for the NOE simulation
`void`
`setNoesy(boolean b)`
`void`
`setRhoStar(double c)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### viewer

protected final NMR_Viewer viewer

### distances

protected final Vector<Double> distances

### couples

protected final Vector<Double> couples

### couplesWhole

protected final Vector<org.openscience.jmol.app.janocchio.NmrMolecule.DihedralCouple> couplesWhole

### noeMatrix

protected NMRNoeMatrix noeMatrix

### CHequation

protected String CHequation

## Constructor Details

### NmrMolecule

public NmrMolecule(NMR_JmolPanel nmrPanel, BS bsMol, String[] labelArray, boolean forNOE)

Parameters:
  `nmrPanel` -
  `bsMol` -
  `labelArray` - optional array of atom labels, one per atom in the current frame
  `forNOE` -

## Method Details

### getDihedralCouple

protected org.openscience.jmol.app.janocchio.NmrMolecule.DihedralCouple getDihedralCouple(Atom[] atoms)

### addAtomstoMatrix

protected void addAtomstoMatrix()
Generate noeMatrix and map fields for DistanceJMolecule.

### getDistances

public Vector<Double> getDistances()

### getCouples

public Vector<Double> getCouples()

### calcNOEs

public void calcNOEs()

### addCouple

public void addCouple(Atom[] atoms)

### addJmolCouple

public void addJmolCouple(int a1, int a2, int a3, int a4)

### calcCouple

public double[] calcCouple(Atom[] atoms)

### calcJmolCouple

public double[] calcJmolCouple(int a1, int a2, int a3, int a4)

### setCorrelationTimeTauPS

public void setCorrelationTimeTauPS(double t)

### setMixingTimeSec

public void setMixingTimeSec(double t)
sets the mixing time for the NOE experiment

Parameters:
  `t` - the mixing time in seconds. Typically 0.5-1.5 seconds for small molecules

### setNMRfreqMHz

public void setNMRfreqMHz(double f)
set the NMR frequency for the NOE simulation

Parameters:
  `f` - the frequency in MHz

### setCutoffAng

public void setCutoffAng(double c)
sets the cutoff distance beyond which atom interactions are not considered

Parameters:
  `c` - the cutoff distance in Angstroms

### setRhoStar

public void setRhoStar(double c)

### setNoesy

public void setNoesy(boolean b)

### setCHequation

public void setCHequation(String eq)

### getJmolNoe

public double getJmolNoe(int a, int b)

### addJmolDistance

public void addJmolDistance(int a, int b)
Add using Jmol atom index

Parameters:
  `a` -
  `b` -

### getJmolDistance

public double getJmolDistance(int a, int b)
Calc using Jmol atom index

Parameters:
  `a` -
  `b` -
Returns:
  NOE-based distance, averaged for equivalent H atoms